"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }// src/index.ts
var _pinoabstracttransport = require('pino-abstract-transport'); var _pinoabstracttransport2 = _interopRequireDefault(_pinoabstracttransport);
var _datadogtransportcommon = require('datadog-transport-common');

// src/convert-level.ts
var convertLevel = (level) => {
  if (typeof level === "string") {
    return level;
  }
  if (level >= 60) {
    return "fatal";
  }
  if (level >= 50) {
    return "error";
  }
  if (level >= 40) {
    return "warning";
  }
  if (level >= 30) {
    return "info";
  }
  if (level >= 20) {
    return "debug";
  }
  return "trace";
};

// src/index.ts
var src_default = (options) => {
  const transport = new (0, _datadogtransportcommon.DataDogTransport)(options);
  return _pinoabstracttransport2.default.call(void 0, async function processLogs(source) {
    for await (const obj of source) {
      if (!obj) {
        if (options.onDebug) {
          options.onDebug("Log source object is empty");
        }
        return;
      }
      obj.date = obj.time;
      delete obj.time;
      transport.processLog({
        ...obj,
        level: convertLevel(obj.level)
      });
    }
  });
};


exports.default = src_default;
//# sourceMappingURL=index.js.map