// src/index.ts
import build from "pino-abstract-transport";
import { DataDogTransport } from "datadog-transport-common";

// src/convert-level.ts
var convertLevel = (level) => {
  if (typeof level === "string") {
    return level;
  }
  if (level >= 60) {
    return "fatal";
  }
  if (level >= 50) {
    return "error";
  }
  if (level >= 40) {
    return "warning";
  }
  if (level >= 30) {
    return "info";
  }
  if (level >= 20) {
    return "debug";
  }
  return "trace";
};

// src/index.ts
var src_default = (options) => {
  const transport = new DataDogTransport(options);
  return build(async function processLogs(source) {
    for await (const obj of source) {
      if (!obj) {
        if (options.onDebug) {
          options.onDebug("Log source object is empty");
        }
        return;
      }
      obj.date = obj.time;
      delete obj.time;
      transport.processLog({
        ...obj,
        level: convertLevel(obj.level)
      });
    }
  });
};
export {
  src_default as default
};
//# sourceMappingURL=index.mjs.map